GNU bug report logs - #18155
24.3.92; Honor toolBar resource *before* showing frame

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: carlosjosepita@HIDDEN; dated Wed, 30 Jul 2014 22:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 15:52:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 11:52:30 2014
Received: from localhost ([127.0.0.1]:53154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCseb-0007y7-Gl
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 11:52:29 -0400
Received: from smtp-pri-03.vtxnet.net ([212.147.62.137]:49738)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XCseY-0007xx-Qk
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 11:52:27 -0400
Received: from localhost (unknown [127.0.0.1])
 by smtp-pri-03.vtxnet.net (VTX Services SA) with ESMTP id 5EF7168B810;
 Thu, 31 Jul 2014 15:52:25 +0000 (UTC)
Received: from smtp-pri-03.vtxnet.net ([127.0.0.1])
 by localhost (smtp-pri-03.vtxnet.net [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id OSCVOc6Rwt4d; Thu, 31 Jul 2014 17:52:23 +0200 (CEST)
Received: from fmsmemgm.homelinux.net (dyn.83-228-141-040.dsl.vtx.ch
 [83.228.141.40])
 by smtp-pri-03.vtxnet.net (VTX Services SA) with ESMTP id DEA2168B804;
 Thu, 31 Jul 2014 17:52:23 +0200 (CEST)
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id E1CD8AE752; Thu, 31 Jul 2014 11:52:22 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Jan =?windows-1252?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
Message-ID: <jwvy4v9wmt8.fsf-monnier+emacsbugs@HIDDEN>
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN>
 <83silirs58.fsf@HIDDEN> <53D9E8C1.7080803@HIDDEN>
 <53DA031D.1000708@HIDDEN>
 <CAELgYheuRDCn2zRR+yqqd3W0-s9asJ+N11AdPR8vUzNo7b3S5w@HIDDEN>
 <5C3A10D4-AD51-4B67-B19C-11101651CC09@HIDDEN>
Date: Thu, 31 Jul 2014 11:52:22 -0400
In-Reply-To: <5C3A10D4-AD51-4B67-B19C-11101651CC09@HIDDEN> ("Jan
 =?windows-1252?Q?Dj=E4rv=22's?=
 message of "Thu, 31 Jul 2014 13:32:19 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18155
Cc: Carlos Pita <carlosjosepita@HIDDEN>,
 "18155 <at> debbugs.gnu.org" <18155 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> 2 is the way to go IMHO. 

An alternative to 2 is to create the GUI terminal later in
startup.el.  This way, all the .emacs code is read while the selected
terminal is the "dumb" initial terminal, e.g. messages are sent to
stderr and the GUI frame is created after the .emacs is read so it can
take user settings. into account.

I've been using a local patch that does it for several years, very
happily, but of course, it will break any ~/.emacs that tries to check
things like screen size.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 12:08:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 08:08:34 2014
Received: from localhost ([127.0.0.1]:52661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCp9t-0002UM-Gg
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 08:08:33 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:59990)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XCp9p-0002Tw-Ix
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 08:08:31 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N9K00K00S3TMW00@HIDDEN> for 18155 <at> debbugs.gnu.org;
 Thu, 31 Jul 2014 15:08:22 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N9K00KVYSDY5Y60@HIDDEN>;
 Thu, 31 Jul 2014 15:08:22 +0300 (IDT)
Date: Thu, 31 Jul 2014 15:08:44 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
In-reply-to: <89A7C4A5-C1F9-491E-81B9-D6F5BA4A0DA4@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Message-id: <83k36tspbn.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN> <83silirs58.fsf@HIDDEN>
 <53D9E8C1.7080803@HIDDEN> <83r412roig.fsf@HIDDEN>
 <89A7C4A5-C1F9-491E-81B9-D6F5BA4A0DA4@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18155
Cc: carlosjosepita@HIDDEN, 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Cc: "carlosjosepita@HIDDEN" <carlosjosepita@HIDDEN>,
>  "18155 <at> debbugs.gnu.org" <18155 <at> debbugs.gnu.org>
> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Thu, 31 Jul 2014 13:29:23 +0200
> 
> > Thanks.  So I was mistaken: this does not depend on the toolkit.  In
> > that case, I guess we could change that to work more like the menu
> > bar, which (AFAIR) is shown on the initial frame.
> 
> When I looked at this, the tool bar items where not initialised at frame creation.  So there where no items to put there even if we did show the toolbar. For Gtk it will show a bar a few pixels high.  It is hard to figure out how high an item will be later on as this depends on the size of the image, padding and so on. 

Yes, of course.  However, tool-bar buttons are (by default) created
from certain menu-bar items.  And since (AFAIR) we do show the menu
bar when the frame is created, we could at the same time compute and
display the tool bar.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 11:32:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 07:32:27 2014
Received: from localhost ([127.0.0.1]:52654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCoax-0001dm-0I
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 07:32:27 -0400
Received: from mailfe05.swip.net ([212.247.154.129]:34483 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XCoat-0001dc-P8
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 07:32:24 -0400
X-T2-Spam-Status: No, hits=0.1 required=5.0 tests=HTML_MESSAGE
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe05.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 516168973; Thu, 31 Jul 2014 13:32:21 +0200
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN> <83silirs58.fsf@HIDDEN>
 <53D9E8C1.7080803@HIDDEN> <53DA031D.1000708@HIDDEN>
 <CAELgYheuRDCn2zRR+yqqd3W0-s9asJ+N11AdPR8vUzNo7b3S5w@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <CAELgYheuRDCn2zRR+yqqd3W0-s9asJ+N11AdPR8vUzNo7b3S5w@HIDDEN>
Content-Type: multipart/alternative;
 boundary=Apple-Mail-D6D2BFF1-ECBC-429E-BB10-4B68FC2DEEA0
Content-Transfer-Encoding: 7bit
Message-Id: <5C3A10D4-AD51-4B67-B19C-11101651CC09@HIDDEN>
X-Mailer: iPhone Mail (11D257)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
Date: Thu, 31 Jul 2014 13:32:19 +0200
To: Carlos Pita <carlosjosepita@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18155
Cc: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 "18155 <at> debbugs.gnu.org" <18155 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail-D6D2BFF1-ECBC-429E-BB10-4B68FC2DEEA0
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable

Hi.=20

2 is the way to go IMHO.=20
3 is way harder.=20
But so far we have done 1...

    Jan D.=20

> 31 jul 2014 kl. 11:12 skrev Carlos Pita <carlosjosepita@HIDDEN>:
>=20
> I see 3 different approches to deal with this issue:
>=20
> 1. It doesn't matter, it's just a cosmetic issue and it's not worth the ef=
fort. Besides it won't completely eliminate the startup ugliness because def=
ault and initial frame parameters could be different and so one of them won'=
t match the resources anyway. In this case I would just remove the misleadin=
g assertion from the manual, in order to avoid false expectations.
>=20
> 2. Keep the frame window unmapped until it's completely initialized and th=
en make it visible. If startup is taking too long, show a splash while launc=
hing. This is a pretty straightforward solution, at least conceptually.
>=20
> 3. Fix it so that the frame won't be resized during startup.
>=20
> I'm completely unable to measure the complexity of doing 2 or 3. If these t=
asks are anything above easy I could certainly live in a world where 1 is tr=
ue.
>=20
>> On Jul 31, 2014 5:49 AM, "martin rudalics" <rudalics@HIDDEN> wrote:
>> > It does not start with a tool bar and then remove it if .emacs disables=
 it.  It is the other way around, starts with no tool bar and then adds it.
>>=20
>> IIUC this is what Carlos mentioned.  On systems with internal toolbars,
>> however, we initially assume that the toolbar exists and later on remove
>> it if the user doesn't want it.  And the real initial height of an
>> internal toolbar is only known after the redisplay algorithm has passed
>> over it for the first time.
>>=20
>> martin

--Apple-Mail-D6D2BFF1-ECBC-429E-BB10-4B68FC2DEEA0
Content-Type: text/html;
	charset=utf-8
Content-Transfer-Encoding: 7bit

<html><head><meta http-equiv="content-type" content="text/html; charset=utf-8"></head><body dir="auto"><div>Hi.&nbsp;</div><div><br></div><div>2 is the way to go IMHO.&nbsp;</div><div>3 is way harder.&nbsp;</div><div>But so far we have done 1...</div><div><br></div><div>&nbsp; &nbsp; Jan D.&nbsp;</div><div><br>31 jul 2014 kl. 11:12 skrev Carlos Pita &lt;<a href="mailto:carlosjosepita@HIDDEN">carlosjosepita@HIDDEN</a>&gt;:<br><br></div><blockquote type="cite"><div><p>I see 3 different approches to deal with this issue:</p>
<p>1. It doesn't matter, it's just a cosmetic issue and it's not worth the effort. Besides it won't completely eliminate the startup ugliness because default and initial frame parameters could be different and so one of them won't match the resources anyway. In this case I would just remove the misleading assertion from the manual, in order to avoid false expectations.</p>

<p>2. Keep the frame window unmapped until it's completely initialized and then make it visible. If startup is taking too long, show a splash while launching. This is a pretty straightforward solution, at least conceptually.</p>

<p>3. Fix it so that the frame won't be resized during startup.</p>
<p>I'm completely unable to measure the complexity of doing 2 or 3. If these tasks are anything above easy I could certainly live in a world where 1 is true.<br></p>
<div class="gmail_quote">On Jul 31, 2014 5:49 AM, "martin rudalics" &lt;<a href="mailto:rudalics@HIDDEN">rudalics@HIDDEN</a>&gt; wrote:<br type="attribution"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
&gt; It does not start with a tool bar and then remove it if .emacs disables it. &nbsp;It is the other way around, starts with no tool bar and then adds it.<br>
<br>
IIUC this is what Carlos mentioned. &nbsp;On systems with internal toolbars,<br>
however, we initially assume that the toolbar exists and later on remove<br>
it if the user doesn't want it. &nbsp;And the real initial height of an<br>
internal toolbar is only known after the redisplay algorithm has passed<br>
over it for the first time.<br>
<br>
martin<br>
</blockquote></div>
</div></blockquote></body></html>
--Apple-Mail-D6D2BFF1-ECBC-429E-BB10-4B68FC2DEEA0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 11:29:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 07:29:36 2014
Received: from localhost ([127.0.0.1]:52650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCoYB-0000LS-PY
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 07:29:36 -0400
Received: from mailfe09.swip.net ([212.247.155.1]:55323 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XCoY9-0000LD-5C
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 07:29:34 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50, MIME_QP_LONG_LINE
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe09.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 347214554; Thu, 31 Jul 2014 13:29:25 +0200
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN> <83silirs58.fsf@HIDDEN>
 <53D9E8C1.7080803@HIDDEN> <83r412roig.fsf@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <83r412roig.fsf@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Message-Id: <89A7C4A5-C1F9-491E-81B9-D6F5BA4A0DA4@HIDDEN>
X-Mailer: iPhone Mail (11D257)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
Date: Thu, 31 Jul 2014 13:29:23 +0200
To: Eli Zaretskii <eliz@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18155
Cc: "carlosjosepita@HIDDEN" <carlosjosepita@HIDDEN>,
 "18155 <at> debbugs.gnu.org" <18155 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.=20

31 jul 2014 kl. 09:11 skrev Eli Zaretskii <eliz@HIDDEN>:

>> Date: Thu, 31 Jul 2014 08:57:05 +0200
>> From: "Jan D." <jan.h.d@HIDDEN>
>> CC: 18155 <at> debbugs.gnu.org
>>=20
>> As far as I know, for the first frame when .emacs has not been read yet,=20=

>> Emacs internally says that no tool bar shall be added.
>> After .emacs has been read, and tool bar mode is still active (i.e. not=20=

>> disabled by .emacs) it adds the tool bar.  So this is generic code that=20=

>> is at work.
>=20
> Thanks.  So I was mistaken: this does not depend on the toolkit.  In
> that case, I guess we could change that to work more like the menu
> bar, which (AFAIR) is shown on the initial frame.

When I looked at this, the tool bar items where not initialised at frame cre=
ation.  So there where no items to put there even if we did show the toolbar=
. For Gtk it will show a bar a few pixels high.  It is hard to figure out ho=
w high an item will be later on as this depends on the size of the image, pa=
dding and so on.=20

     Jan D.=20=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 09:12:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 05:12:32 2014
Received: from localhost ([127.0.0.1]:52466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCmPX-0005MW-TT
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 05:12:32 -0400
Received: from mail-la0-f45.google.com ([209.85.215.45]:63456)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCmPU-0005MG-LL
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 05:12:29 -0400
Received: by mail-la0-f45.google.com with SMTP id ty20so1804195lab.32
 for <18155 <at> debbugs.gnu.org>; Thu, 31 Jul 2014 02:12:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=0JyeewSa8z8oQ4EtSzlFTzioaBKrCIqzCA5twIGH3kQ=;
 b=KjFzK42y+fa86Yx7UbbprnQ/YV2vHHuxiWK1bD/FMkaEznygvnpR2ut8T3Lt9khKcO
 cr0jOIGz3uqjhsk1L94FI6kHhQ81OpZAzrwKDLBzahiiEiXZ4DRNJo1yW2MI8kyiPEF+
 +wqWGH668+j/X15a/rjvvKKY9qfQyNF0zqD8p5UXh/9eweJAzsPw9nfJ5ArC2QoqiYex
 2T1stqlP1H0vuLQEpKzuIgV93CNwpEIvZ+1gQw1dXGcfWBRgVlOA93ej4Plfi1Hcc8XQ
 M8VveNlYaBxJfkrPCNu34gunxohIc1IHfDCIroMOU6b30Wdo0ZbFu6ibkZI/44TDPYZv
 YC4Q==
MIME-Version: 1.0
X-Received: by 10.152.234.71 with SMTP id uc7mr10728317lac.22.1406797941003;
 Thu, 31 Jul 2014 02:12:21 -0700 (PDT)
Received: by 10.112.137.38 with HTTP; Thu, 31 Jul 2014 02:12:20 -0700 (PDT)
Received: by 10.112.137.38 with HTTP; Thu, 31 Jul 2014 02:12:20 -0700 (PDT)
In-Reply-To: <53DA031D.1000708@HIDDEN>
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN>
 <83silirs58.fsf@HIDDEN> <53D9E8C1.7080803@HIDDEN>
 <53DA031D.1000708@HIDDEN>
Date: Thu, 31 Jul 2014 06:12:20 -0300
Message-ID: <CAELgYheuRDCn2zRR+yqqd3W0-s9asJ+N11AdPR8vUzNo7b3S5w@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
From: Carlos Pita <carlosjosepita@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113422aa8b5dfd04ff79ab4a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18155
Cc: Eli Zaretskii <eliz@HIDDEN>, "Jan D." <jan.h.d@HIDDEN>,
 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113422aa8b5dfd04ff79ab4a
Content-Type: text/plain; charset=UTF-8

I see 3 different approches to deal with this issue:

1. It doesn't matter, it's just a cosmetic issue and it's not worth the
effort. Besides it won't completely eliminate the startup ugliness because
default and initial frame parameters could be different and so one of them
won't match the resources anyway. In this case I would just remove the
misleading assertion from the manual, in order to avoid false expectations.

2. Keep the frame window unmapped until it's completely initialized and
then make it visible. If startup is taking too long, show a splash while
launching. This is a pretty straightforward solution, at least conceptually.

3. Fix it so that the frame won't be resized during startup.

I'm completely unable to measure the complexity of doing 2 or 3. If these
tasks are anything above easy I could certainly live in a world where 1 is
true.
On Jul 31, 2014 5:49 AM, "martin rudalics" <rudalics@HIDDEN> wrote:

> > It does not start with a tool bar and then remove it if .emacs disables
> it.  It is the other way around, starts with no tool bar and then adds it.
>
> IIUC this is what Carlos mentioned.  On systems with internal toolbars,
> however, we initially assume that the toolbar exists and later on remove
> it if the user doesn't want it.  And the real initial height of an
> internal toolbar is only known after the redisplay algorithm has passed
> over it for the first time.
>
> martin
>

--001a113422aa8b5dfd04ff79ab4a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p>I see 3 different approches to deal with this issue:</p>
<p>1. It doesn&#39;t matter, it&#39;s just a cosmetic issue and it&#39;s no=
t worth the effort. Besides it won&#39;t completely eliminate the startup u=
gliness because default and initial frame parameters could be different and=
 so one of them won&#39;t match the resources anyway. In this case I would =
just remove the misleading assertion from the manual, in order to avoid fal=
se expectations.</p>

<p>2. Keep the frame window unmapped until it&#39;s completely initialized =
and then make it visible. If startup is taking too long, show a splash whil=
e launching. This is a pretty straightforward solution, at least conceptual=
ly.</p>

<p>3. Fix it so that the frame won&#39;t be resized during startup.</p>
<p>I&#39;m completely unable to measure the complexity of doing 2 or 3. If =
these tasks are anything above easy I could certainly live in a world where=
 1 is true.<br></p>
<div class=3D"gmail_quote">On Jul 31, 2014 5:49 AM, &quot;martin rudalics&q=
uot; &lt;<a href=3D"mailto:rudalics@HIDDEN">rudalics@HIDDEN</a>&gt; wrote:<=
br type=3D"attribution"><blockquote class=3D"gmail_quote" style=3D"margin:0=
 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
&gt; It does not start with a tool bar and then remove it if .emacs disable=
s it. =C2=A0It is the other way around, starts with no tool bar and then ad=
ds it.<br>
<br>
IIUC this is what Carlos mentioned. =C2=A0On systems with internal toolbars=
,<br>
however, we initially assume that the toolbar exists and later on remove<br=
>
it if the user doesn&#39;t want it. =C2=A0And the real initial height of an=
<br>
internal toolbar is only known after the redisplay algorithm has passed<br>
over it for the first time.<br>
<br>
martin<br>
</blockquote></div>

--001a113422aa8b5dfd04ff79ab4a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 08:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 04:49:57 2014
Received: from localhost ([127.0.0.1]:52460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCm3h-0004od-2w
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 04:49:57 -0400
Received: from mout.gmx.net ([212.227.15.18]:51781)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1XCm3e-0004oO-Q9
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 04:49:55 -0400
Received: from [62.46.214.118] ([62.46.214.118]) by mail.gmx.com (mrgmx003)
 with ESMTPSA (Nemesis) id 0MHX0m-1XBger0ooe-003OYs; Thu, 31 Jul 2014 10:49:45
 +0200
Message-ID: <53DA031D.1000708@HIDDEN>
Date: Thu, 31 Jul 2014 10:49:33 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Jan D." <jan.h.d@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 
 Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
References: <86mwbq4h4t.fsf@HIDDEN>	<83vbqeruzy.fsf@HIDDEN>
 <86a97qf6nz.fsf@HIDDEN>	<83silirs58.fsf@HIDDEN>
 <53D9E8C1.7080803@HIDDEN>
In-Reply-To: <53D9E8C1.7080803@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:PN3yo+K9/YUIhds9xr1bZvv780omz08cn1abWfUiuDdo9CPI5dY
 Ed5yfEae3/DZsTs2HGAQrQc9NPRcWSxeO+K8K6HtChX7mHJ9e+yTLDmQ3cjwlBm1hHLEeeK
 JHmVirzndnoDjCMF4PnT8w3cQkVnFSGcG4D9hTegIaurt4fVljhR0ov6/ZFchPK2i9t1593
 iGxGTrpBnPOLp2rBV5EGg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18155
Cc: 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > It does not start with a tool bar and then remove it if .emacs disables it.  It is the other way around, starts with no tool bar and then adds it.

IIUC this is what Carlos mentioned.  On systems with internal toolbars,
however, we initially assume that the toolbar exists and later on remove
it if the user doesn't want it.  And the real initial height of an
internal toolbar is only known after the redisplay algorithm has passed
over it for the first time.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 07:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 03:17:21 2014
Received: from localhost ([127.0.0.1]:52347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCkc4-0002TU-ED
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 03:17:20 -0400
Received: from mail-la0-f46.google.com ([209.85.215.46]:58372)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCkc1-0002TE-VO
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 03:17:18 -0400
Received: by mail-la0-f46.google.com with SMTP id b8so1708883lan.19
 for <18155 <at> debbugs.gnu.org>; Thu, 31 Jul 2014 00:17:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=LPxD1AbzQCoDKade5+ABoLZo1Kw93oN7oEP94NMnoco=;
 b=LTRT/2xGfNXePOTpf/m9zVrWW/glnhmlPTCgfPOGVRevucdwoIlcL8QGGIDeYUi7C/
 mssrPaLQ8dIcKejDf8FsbJRZJK9UApG7KX1qsniIq9O6MQWpjlOkTzMMA6qmQt2qEQA0
 Fi2ugHa1BJCoaaCZHzO5DlakU4Luz2U/NOyMKYpJU7JEcBboQ/5eNrzkK7WV5VulsGG2
 TgEtI5ACWiQJMs4ZHJD1v1vnpUg14zSQQcTfQkQBA/OJU+LCyMAMC9NkWJdslitPV3p+
 RTyxQx3Ivabl/hN/GXGPfSeKzdfmAMidtbo9ETofW1d03AZNLkumhbeHgsfewF1nqbsA
 e3Rg==
MIME-Version: 1.0
X-Received: by 10.152.43.65 with SMTP id u1mr9946828lal.5.1406791031959; Thu,
 31 Jul 2014 00:17:11 -0700 (PDT)
Received: by 10.112.137.38 with HTTP; Thu, 31 Jul 2014 00:17:11 -0700 (PDT)
Received: by 10.112.137.38 with HTTP; Thu, 31 Jul 2014 00:17:11 -0700 (PDT)
In-Reply-To: <83r412roig.fsf@HIDDEN>
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN>
 <83silirs58.fsf@HIDDEN> <53D9E8C1.7080803@HIDDEN>
 <83r412roig.fsf@HIDDEN>
Date: Thu, 31 Jul 2014 04:17:11 -0300
Message-ID: <CAELgYhcvPMAAMH0OCT+bXbOvPjcxjewbXRjLCR5fwwRufuzShg@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
From: Carlos Pita <carlosjosepita@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c240ccbbb69204ff780f27
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18155
Cc: "Jan D." <jan.h.d@HIDDEN>, 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c240ccbbb69204ff780f27
Content-Type: text/plain; charset=UTF-8

Take into account that the geometry will also depend on the toobar position
and there is no documented resource for that, afaics. And then there's the
question of the toolbar style (icons only, icons plus text, etc) but I
guess that is already configurable in the gtk3 css file. Cheers, Carlos.
On Jul 31, 2014 4:11 AM, "Eli Zaretskii" <eliz@HIDDEN> wrote:

> > Date: Thu, 31 Jul 2014 08:57:05 +0200
> > From: "Jan D." <jan.h.d@HIDDEN>
> > CC: 18155 <at> debbugs.gnu.org
> >
> > As far as I know, for the first frame when .emacs has not been read yet,
> > Emacs internally says that no tool bar shall be added.
> > After .emacs has been read, and tool bar mode is still active (i.e. not
> > disabled by .emacs) it adds the tool bar.  So this is generic code that
> > is at work.
>
> Thanks.  So I was mistaken: this does not depend on the toolkit.  In
> that case, I guess we could change that to work more like the menu
> bar, which (AFAIR) is shown on the initial frame.
>

--001a11c240ccbbb69204ff780f27
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p>Take into account that the geometry will also depend on the toobar posit=
ion and there is no documented resource for that, afaics. And then there&#3=
9;s the question of the toolbar style (icons only, icons plus text, etc) bu=
t I guess that is already configurable in the gtk3 css file. Cheers, Carlos=
.</p>

<div class=3D"gmail_quote">On Jul 31, 2014 4:11 AM, &quot;Eli Zaretskii&quo=
t; &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br type=
=3D"attribution"><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8=
ex;border-left:1px #ccc solid;padding-left:1ex">
&gt; Date: Thu, 31 Jul 2014 08:57:05 +0200<br>
&gt; From: &quot;Jan D.&quot; &lt;<a href=3D"mailto:jan.h.d@HIDDEN">jan=
.h.d@HIDDEN</a>&gt;<br>
&gt; CC: <a href=3D"mailto:18155 <at> debbugs.gnu.org">18155 <at> debbugs.gnu.org</a>=
<br>
&gt;<br>
&gt; As far as I know, for the first frame when .emacs has not been read ye=
t,<br>
&gt; Emacs internally says that no tool bar shall be added.<br>
&gt; After .emacs has been read, and tool bar mode is still active (i.e. no=
t<br>
&gt; disabled by .emacs) it adds the tool bar. =C2=A0So this is generic cod=
e that<br>
&gt; is at work.<br>
<br>
Thanks. =C2=A0So I was mistaken: this does not depend on the toolkit. =C2=
=A0In<br>
that case, I guess we could change that to work more like the menu<br>
bar, which (AFAIR) is shown on the initial frame.<br>
</blockquote></div>

--001a11c240ccbbb69204ff780f27--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 07:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 03:11:29 2014
Received: from localhost ([127.0.0.1]:52343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCkWO-0002KJ-KW
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 03:11:28 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:58179)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XCkWL-0002K4-CX
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 03:11:26 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N9K00B00E4VBF00@HIDDEN> for 18155 <at> debbugs.gnu.org;
 Thu, 31 Jul 2014 10:11:18 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N9K00BDFEMPG400@HIDDEN>;
 Thu, 31 Jul 2014 10:11:14 +0300 (IDT)
Date: Thu, 31 Jul 2014 10:11:35 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
In-reply-to: <53D9E8C1.7080803@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: "Jan D." <jan.h.d@HIDDEN>
Message-id: <83r412roig.fsf@HIDDEN>
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN> <83silirs58.fsf@HIDDEN>
 <53D9E8C1.7080803@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18155
Cc: carlosjosepita@HIDDEN, 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 31 Jul 2014 08:57:05 +0200
> From: "Jan D." <jan.h.d@HIDDEN>
> CC: 18155 <at> debbugs.gnu.org
> 
> As far as I know, for the first frame when .emacs has not been read yet, 
> Emacs internally says that no tool bar shall be added.
> After .emacs has been read, and tool bar mode is still active (i.e. not 
> disabled by .emacs) it adds the tool bar.  So this is generic code that 
> is at work.

Thanks.  So I was mistaken: this does not depend on the toolkit.  In
that case, I guess we could change that to work more like the menu
bar, which (AFAIR) is shown on the initial frame.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 06:57:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 02:57:18 2014
Received: from localhost ([127.0.0.1]:52336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCkIf-0001yQ-Jf
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 02:57:18 -0400
Received: from mailfe09.swip.net ([212.247.155.1]:38882 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XCkIb-0001yB-8X
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 02:57:14 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe09.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 347131894; Thu, 31 Jul 2014 08:57:06 +0200
Message-ID: <53D9E8C1.7080803@HIDDEN>
Date: Thu, 31 Jul 2014 08:57:05 +0200
From: "Jan D." <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN> <83silirs58.fsf@HIDDEN>
In-Reply-To: <83silirs58.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18155
Cc: 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Eli Zaretskii skrev 2014-07-31 07:53:
>> From: Carlos Pita <carlosjosepita@HIDDEN>
>> Cc: 18155 <at> debbugs.gnu.org
>> Date: Thu, 31 Jul 2014 02:17:52 -0300
>>
>>
>> Below is the complete info.
>
> Thanks.
>
>> In GNU Emacs 24.3.92.1 (i686-pc-linux-gnu, GTK+ Version 3.12.2)
>>   of 2014-07-25 on localhost
>> Configured using:
>>   `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
>>   --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
>>   'CFLAGS=-march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong
>>   --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
>>   LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'
>
> AFAIK, GTK is one of the toolkits which draw their own toolbar.
>
> Perhaps Jan (CC'ed) could tell if your wish can be granted.
>

As far as I know, for the first frame when .emacs has not been read yet, 
Emacs internally says that no tool bar shall be added.
After .emacs has been read, and tool bar mode is still active (i.e. not 
disabled by .emacs) it adds the tool bar.  So this is generic code that 
is at work.

It does not start with a tool bar and then remove it if .emacs disables 
it.  It is the other way around, starts with no tool bar and then adds it.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 05:52:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 01:52:58 2014
Received: from localhost ([127.0.0.1]:52288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCjIO-0000Pf-Px
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 01:52:57 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:40947)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XCjIL-0000PN-3R
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 01:52:54 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N9K00H00AWT0V00@HIDDEN> for 18155 <at> debbugs.gnu.org;
 Thu, 31 Jul 2014 08:52:46 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N9K00GGTAZXXQ10@HIDDEN>;
 Thu, 31 Jul 2014 08:52:46 +0300 (IDT)
Date: Thu, 31 Jul 2014 08:53:07 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
In-reply-to: <86a97qf6nz.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Carlos Pita <carlosjosepita@HIDDEN>
Message-id: <83silirs58.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8bit
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN> <86a97qf6nz.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18155
Cc: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>, 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Carlos Pita <carlosjosepita@HIDDEN>
> Cc: 18155 <at> debbugs.gnu.org
> Date: Thu, 31 Jul 2014 02:17:52 -0300
> 
> 
> Below is the complete info.

Thanks.

> In GNU Emacs 24.3.92.1 (i686-pc-linux-gnu, GTK+ Version 3.12.2)
>  of 2014-07-25 on localhost
> Configured using:
>  `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
>  --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
>  'CFLAGS=-march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong
>  --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
>  LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

AFAIK, GTK is one of the toolkits which draw their own toolbar.

Perhaps Jan (CC'ed) could tell if your wish can be granted.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 05:17:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 01:17:50 2014
Received: from localhost ([127.0.0.1]:52282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCikP-0007zJ-48
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 01:17:49 -0400
Received: from mail-vc0-f175.google.com ([209.85.220.175]:33829)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCikL-0007z4-Pi
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 01:17:46 -0400
Received: by mail-vc0-f175.google.com with SMTP id ik5so3406843vcb.20
 for <18155 <at> debbugs.gnu.org>; Wed, 30 Jul 2014 22:17:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=2q3MBwjCbuufef4uWNRy0ONyJcLxz334Jp1xtj+h/pw=;
 b=u3E5J5DSwQI0ghfJ7hQRgbfhXqHMzgJwsuPWN8m6JxCGULRA+hWrm24slHB+rVQ7MY
 Lqmvmjsy/z9NBFTgJVXMVOHgSv4FFD5XPkm76Z99g9ihvApvhZDtWary2g0O336bwTSz
 QzPuZj4A3bn+DUsAGNxVZebonA/ZtuQfNYga7l/1rpQf6KnmXeUITrFebXuV/a2lWsCe
 uhmJ93oQK4Yq6hYFDgXo6QKEzMFSTuKdF9SqUv8Ifq9KsanduBmSw7alpRaQbq+hEdwc
 l/ocDRY3GUV3QDtW8d1WwA1BrVWmahMMPSx1scK+sV6MtZOosR/ykX5L2xD9OEMQUMjP
 DBCQ==
X-Received: by 10.52.148.2 with SMTP id to2mr12678052vdb.38.1406783859907;
 Wed, 30 Jul 2014 22:17:39 -0700 (PDT)
Received: from localhost ([186.137.159.216])
 by mx.google.com with ESMTPSA id x3sm2662483vet.5.2014.07.30.22.17.37
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 30 Jul 2014 22:17:38 -0700 (PDT)
From: Carlos Pita <carlosjosepita@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
References: <86mwbq4h4t.fsf@HIDDEN>
 <83vbqeruzy.fsf@HIDDEN>
Date: Thu, 31 Jul 2014 02:17:52 -0300
In-Reply-To: <83vbqeruzy.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 31 Jul
 2014 07:51:29 +0300")
Message-ID: <86a97qf6nz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18155
Cc: 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Below is the complete info.
Regards, Carlos.


In GNU Emacs 24.3.92.1 (i686-pc-linux-gnu, GTK+ Version 3.12.2)
 of 2014-07-25 on localhost
Configured using:
 `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
 'CFLAGS=-march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong
 --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Important settings:
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  gpm-mouse-mode: t
  show-paren-mode: t
  winner-mode: t
  shell-dirtrack-mode: t
  ido-everywhere: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x 2 ESC x r e s p DEL DEL p o TAB r t - e m TAB 
RET

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
/home/loscar/.emacs.d/elpa/popup-20140207.1702/popup hides /usr/share/emacs/site-lisp/auto-complete/popup
/home/loscar/.emacs.d/elpa/auto-complete-20140726.303/auto-complete hides /usr/share/emacs/site-lisp/auto-complete/auto-complete
/home/loscar/.emacs.d/elpa/auto-complete-20140726.303/auto-complete-config hides /usr/share/emacs/site-lisp/auto-complete/auto-complete-config
~/.emacs.d/lisp/python hides /usr/share/emacs/24.3.92/lisp/progmodes/python

Features:
(shadow sort mail-extr emacsbug message idna rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils help-mode
t-mouse flymake paren winner windmove wombat-theme ac-nrepl
cider-interaction apropos arc-mode archive-mode cider-doc org-table org
org-macro org-footnote org-pcomplete org-list org-faces org-entities
noutline outline easy-mmode org-version ob-emacs-lisp ob ob-tangle
org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval
org-compat org-macs org-loaddefs find-func cal-menu calendar
cal-loaddefs cider-test cider-stacktrace cider-client nrepl-client
cider-util ewoc etags dash clojure-mode imenu inf-lisp tramp
tramp-compat auth-source eieio byte-opt bytecomp byte-compile cconv
eieio-core gnus-util mm-util mail-prsvr password-cache tramp-loaddefs
cl-macs trampver cl gv ess-toolbar ess-mouse mouseme thingatpt
browse-url ess-menu ess-swv ess-noweb ess-noweb-font-lock-mode
ess-bugs-l essd-els ess-sas-d ess-sas-l ess-sas-a shell pcomplete
ess-sta-d ess-sta-l cc-vars cc-defs make-regexp ess-sp6-d ess-sp3-d
ess-julia ess-r-d compile ess-tracebug format-spec ess-roxy advice
hideshow ess-help ess-developer ess-r-args eldoc help-fns ess-s-l ess
ess-inf comint ansi-color ring ess-mode ess-noweb-mode ess-utils
time-date ess-custom executable ess-compat ess-site ido
auto-complete-config auto-complete edmacro kmacro popup cl-loaddefs
cl-lib info easymenu package tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 8 221331 11150)
 (symbols 24 35290 0)
 (miscs 20 103 187)
 (strings 16 64577 10960)
 (string-bytes 1 1889964)
 (vectors 8 31660)
 (vector-slots 4 1312017 12174)
 (floats 8 198 270)
 (intervals 28 265 0)
 (buffers 512 13)
 (heap 1024 18310 787))





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at 18155 <at> debbugs.gnu.org:


Received: (at 18155) by debbugs.gnu.org; 31 Jul 2014 04:51:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 31 00:51:19 2014
Received: from localhost ([127.0.0.1]:52278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCiKk-0007I3-6Y
	for submit <at> debbugs.gnu.org; Thu, 31 Jul 2014 00:51:18 -0400
Received: from mtaout25.012.net.il ([80.179.55.181]:35872)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XCiKh-0007Ho-0F
 for 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 00:51:15 -0400
Received: from conversion-daemon.mtaout25.012.net.il by mtaout25.012.net.il
 (HyperSendmail v2007.08) id <0N9K00J007P79J00@HIDDEN> for
 18155 <at> debbugs.gnu.org; Thu, 31 Jul 2014 07:46:29 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout25.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N9K00G0X7XHSM30@HIDDEN>; Thu, 31 Jul 2014 07:46:29 +0300 (IDT)
Date: Thu, 31 Jul 2014 07:51:29 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame
In-reply-to: <86mwbq4h4t.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: carlosjosepita@HIDDEN
Message-id: <83vbqeruzy.fsf@HIDDEN>
References: <86mwbq4h4t.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18155
Cc: 18155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: carlosjosepita@HIDDEN
> Date: Wed, 30 Jul 2014 19:27:14 -0300
> 
> This is true except when the toolbar is visible. In this case, no matter
> the value of the toolBar resource, the frame is initially shown without
> a toolbar and then the geometry is modified to fit the toolbar. This
> produces unpleasant visual artifacts during emacs startup.

Thanks.

Please make a point of using "M-x report-emacs-bug RET" to report
bugs.  In this case, that command would have collected and included in
the report the most relevant information: what toolkit was your Emacs
built with.  With some toolkits, the toolbar is created and shown by
the toolkit code, out of Emacs's control; with others, Emacs itself
draws the toolbar and has full control.  It is not clear which case is
yours.

Please provide that missing information, to make the report more
complete and clear.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2014 22:27:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 30 18:27:47 2014
Received: from localhost ([127.0.0.1]:52184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XCcLa-0006NS-Gg
	for submit <at> debbugs.gnu.org; Wed, 30 Jul 2014 18:27:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57636)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCcLY-0006NE-2W
 for submit <at> debbugs.gnu.org; Wed, 30 Jul 2014 18:27:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCcLJ-0003Ai-H3
 for submit <at> debbugs.gnu.org; Wed, 30 Jul 2014 18:27:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59679)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCcLJ-0003Ac-Dz
 for submit <at> debbugs.gnu.org; Wed, 30 Jul 2014 18:27:29 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59282)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCcLA-000081-CY
 for bug-gnu-emacs@HIDDEN; Wed, 30 Jul 2014 18:27:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCcL1-0002zr-6S
 for bug-gnu-emacs@HIDDEN; Wed, 30 Jul 2014 18:27:20 -0400
Received: from mail-vc0-x22d.google.com ([2607:f8b0:400c:c03::22d]:63306)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1XCcL1-0002yS-22
 for bug-gnu-emacs@HIDDEN; Wed, 30 Jul 2014 18:27:11 -0400
Received: by mail-vc0-f173.google.com with SMTP id hy10so2948883vcb.32
 for <bug-gnu-emacs@HIDDEN>; Wed, 30 Jul 2014 15:27:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=jZDKfRlQVb7kczp5ti9pXnwc7+Um+DLSY89w4cmTy6k=;
 b=fE09nEEuHiu8rkaREqwHTvc2So7V3fWxYzzn7L5aiCSnK/sR4+UU3PchWSsG93V827
 0kGaVAWobIl5dSTUbqPvoexRLy+tFa4jPJdlJpp2h5gWuaj+69u5fPDIFNLn3sCoxv67
 cjUXtQlG57ScuB8Awj0/ovuk0QAzBVJnO2sOg/BSYOm/Z21b6a40TbAG3NnyRO3m87PP
 +wdxdihcZBM9rL4zD6h4cZyg/bViqoubzTC5m2l1KefrdNcKfHzt7cuG36M2yEFdJNQJ
 f3FQWmNVJzcZJEgwHpyQRJB9gn5ythiyMhAR6dUkTAuKwBhEvx27U3X6HkHoiu1ci1TV
 Eaog==
X-Received: by 10.220.251.134 with SMTP id ms6mr8658457vcb.10.1406759229949;
 Wed, 30 Jul 2014 15:27:09 -0700 (PDT)
Received: from localhost ([190.48.101.32])
 by mx.google.com with ESMTPSA id n7sm1951811ven.1.2014.07.30.15.27.07
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 30 Jul 2014 15:27:09 -0700 (PDT)
From: carlosjosepita@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.92; Honor toolBar resource *before* showing frame
Date: Wed, 30 Jul 2014 19:27:14 -0300
Message-ID: <86mwbq4h4t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

The elisp reference states that:

> Emacs creates the initial frame before it reads your init file. After
> reading that file, Emacs checks initial-frame-alist, and applies the
> parameter settings in the altered value to the already created initial
> frame.

> If these settings affect the frame geometry and appearance, you'll see
> the frame appear with the wrong ones and then change to the specified
> ones. If that bothers you, you can specify the same geometry and
> appearance with X resources; those do take effect before the frame is
> created. See X Resources.

This is true except when the toolbar is visible. In this case, no matter
the value of the toolBar resource, the frame is initially shown without
a toolbar and then the geometry is modified to fit the toolbar. This
produces unpleasant visual artifacts during emacs startup.

I'm afraid that fixing this will require to add a resource to set the
toolbar position, too. I don't know how viable this is. In case it's not
desirable to implement this feature I think some remark has to be added
to the aforementioned documentation excerpt. Otherwise this is indeed a
bug, as the behavior contradicts what's documented.

Cheers
--
Carlos




Acknowledgement sent to carlosjosepita@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18155; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.